package de.ivu.elect.business.gebietsbaum.control;

import javax.annotation.Nullable;

import de.ivu.elect.business.gebietsbaum.entity.Gebiet;

public interface EntityMitWurzelgebiet {

  @Nullable
  Gebiet getWurzelgebiet(EntityMitWurzelgebietDAO entityMitWurzelgebietDAO);

  default boolean isWurzelgebietVorhanden(EntityMitWurzelgebietDAO entityMitWurzelgebietDAO) {
    return getWurzelgebiet(entityMitWurzelgebietDAO) != null;
  }


}
